org.springframework.cloud.dataflow.server.service.impl

## Class TaskConfigurationProperties.DeployerProperties

- java.lang.Object
- - org.springframework.cloud.dataflow.server.service.impl.TaskConfigurationProperties.DeployerProperties

- Enclosing class:
    TaskConfigurationProperties

      public static class TaskConfigurationProperties.DeployerProperties
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DeployerProperties()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String[]` | `getGroupExcludes()`
    `String[]` | `getGroupIncludes()`
    `String[]` | `getPropertyExcludes()`
    `String[]` | `getPropertyIncludes()`
    `void` | `setGroupExcludes(String[] groupExcludes)`
    `void` | `setGroupIncludes(String[] groupIncludes)`
    `void` | `setPropertyExcludes(String[] propertyExcludes)`
    `void` | `setPropertyIncludes(String[] propertyIncludes)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DeployerProperties

          public DeployerProperties()

  - ### Method Detail

    - #### getPropertyIncludes

          public String[] getPropertyIncludes()

    - #### setPropertyIncludes

          public void setPropertyIncludes(String[] propertyIncludes)

    - #### getGroupIncludes

          public String[] getGroupIncludes()

    - #### setGroupIncludes

          public void setGroupIncludes(String[] groupIncludes)

    - #### getPropertyExcludes

          public String[] getPropertyExcludes()

    - #### setPropertyExcludes

          public void setPropertyExcludes(String[] propertyExcludes)

    - #### getGroupExcludes

          public String[] getGroupExcludes()

    - #### setGroupExcludes

          public void setGroupExcludes(String[] groupExcludes)

Copyright © 2021 Pivotal Software, Inc.. All rights reserved.